package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcClearingBankDomain;

import java.util.List;
import java.util.Map;

public interface XhpcClearingBankService {

    List<XhpcClearingBankDomain> getPage(Map<String, Object> params);

    XhpcClearingBankDomain getDomainByPk(Long bankId);

    boolean insertDomain(XhpcClearingBankDomain domain);

    boolean updateDomain(XhpcClearingBankDomain domain);

    boolean deleteByPk(Long bankId);

    boolean sendBindBankSms(String phone);

    boolean sendCashSms(String phone);
}
